%define upstream_name    Devel-GlobalPhase
%define upstream_version 0.003003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Detect perl's global phase on older perls
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(threads) >= 1.70.0
BuildArch:  noarch

%description
This gives access to perlvar/${^GLOBAL_PHASE} in versions of perl that
don't provide it. The built in variable will be used if it is available.

If all that is needed is detecting global destruction, the
Devel::GlobalDestruction manpage should be used instead of this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.3-3.mga8
+ Revision: 1503827
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.3.3-2.mga7
+ Revision: 1282794
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 shlomif <shlomif> 0.3.3-1.mga7
+ Revision: 1197636
- update to 0.003003

* Sat Jan 13 2018 shlomif <shlomif> 0.3.0-1.mga7
+ Revision: 1192727
- imported package perl-Devel-GlobalPhase


* Sat Jan 13 2018 cpan2dist 0.003000-1mga
- initial mageia release, generated with cpan2dist
